<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%
/**
 * %Z% %I% %W% %G% %U% [%H% %T%]
 * IBM Material 
 * 5724-L01,5655-FLW (C) COPYRIGHT International Business Machines Corp. 2006 
 * The source code for this program is not published or otherwise divested
 * of its trade secrets, irrespective of what has been deposited with the 
 * U.S. Copyright Office.
 */
%>

<%@ page language="java" import="java.util.*"%>
<%@ page import="com.ibm.ws.console.core.item.PropertyItem"%>
<%@ page import="com.ibm.ws.console.bpc.humantaskmanager.*"%>
<%@ page import="java.util.*,com.ibm.ws.security.core.SecurityContext,com.ibm.websphere.product.*,org.apache.struts.taglib.html.Constants"%>

<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>
<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>

<META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<META HTTP-EQUIV="Expires" CONTENT="0">

<%
	boolean bReadOnly = false;
	if (SecurityContext.isSecurityEnabled()) 
	{	
		if (request.isUserInRole("administrator"))
			bReadOnly = false; // administrator can edit these value
		else if (request.isUserInRole("configurator") && request.isUserInRole("operator"))
			bReadOnly = false; // an user belong to both configurator  and operator roles... can edit these value
		else if (request.isUserInRole("configurator"))
		{		
			String forwardName = request.getParameter("forwardName");
			
			if (forwardName != null && forwardName.equalsIgnoreCase("HumanTaskManagerReplayQueue.runtime.view"))
				bReadOnly = true;  // configurator can not edit runtime configuration.					
			else
				bReadOnly = false; // configurator can edit the values of these fields in any other view. 
		}
		else if (request.isUserInRole("operator"))
		{ 
			String forwardName = request.getParameter("forwardName");
			
			if (forwardName != null && forwardName.equalsIgnoreCase("HumanTaskManager.config.view"))
				bReadOnly = true;  // operator can not edit these fields in configuration view.					
			else
				bReadOnly = false; // operator can edit the values of these fields in any other view. 
		}
		else
			bReadOnly = true; // everybody else have only view permission		// is this really true ???? !!!!
	}
	String readOnly = Boolean.toString(bReadOnly);
%>


<TABLE class="framing-table" border="0" cellpadding="5" cellspacing="0"
	width="100%" summary="E-Mail Service Table">

	<tr valign="top">
        <tiles:insert page="/secure/layouts/textFieldLayout.jsp" flush="false">
        <tiles:put name="property" value="senderEMailAddress" />
        <tiles:put name="isReadOnly" value="<%=readOnly%>" />
        <tiles:put name="isRequired" value="false" />
        <tiles:put name="label" value="HumanTaskManager.settings.email.service.sender.email.address" />
        <tiles:put name="size" value="75" />
        <tiles:put name="units" value=""/>
        <tiles:put name="desc" value="HumanTaskManager.settings.email.service.sender.email.address.description"/>
        <tiles:put name="bean" value="<%=Constants.BEAN_KEY%>" />
        </tiles:insert>
    </tr>
	<tr valign="top">
        <tiles:insert page="/secure/layouts/textFieldLayout.jsp" flush="false">
        <tiles:put name="property" value="escalationURLPrefix" />
        <tiles:put name="isReadOnly" value="<%=readOnly%>" />
        <tiles:put name="isRequired" value="false" />
        <tiles:put name="label" value="HumanTaskManager.settings.email.service.escalation.url.prefix" />
        <tiles:put name="size" value="75" />
        <tiles:put name="units" value=""/>
        <tiles:put name="desc" value="HumanTaskManager.settings.email.service.escalation.url.prefix.description"/>
        <tiles:put name="bean" value="<%=Constants.BEAN_KEY%>" />
        </tiles:insert>
    </tr>
	<tr valign="top">
        <tiles:insert page="/secure/layouts/textFieldLayout.jsp" flush="false">
        <tiles:put name="property" value="taskURLPrefix" />
        <tiles:put name="isReadOnly" value="<%=readOnly%>" />
        <tiles:put name="isRequired" value="false" />
        <tiles:put name="label" value="HumanTaskManager.settings.email.service.task.url.prefix" />
        <tiles:put name="size" value="75" />
        <tiles:put name="units" value=""/>
        <tiles:put name="desc" value="HumanTaskManager.settings.email.service.task.url.prefix.description"/>
        <tiles:put name="bean" value="<%=Constants.BEAN_KEY%>" />
        </tiles:insert>
    </tr>
	<tr valign="top">
        <tiles:insert page="/secure/layouts/textFieldLayout.jsp" flush="false">
        <tiles:put name="property" value="administratorURLPrefix" />
        <tiles:put name="isReadOnly" value="<%=readOnly%>" />
        <tiles:put name="isRequired" value="false" />
        <tiles:put name="label" value="HumanTaskManager.settings.email.service.administrator.url.prefix" />
        <tiles:put name="size" value="75" />
        <tiles:put name="units" value=""/>
        <tiles:put name="desc" value="HumanTaskManager.settings.email.service.administrator.url.prefix.description"/>
        <tiles:put name="bean" value="<%=Constants.BEAN_KEY%>" />
        </tiles:insert>
    </tr>
	<tr valign="top">
        <tiles:insert page="/secure/layouts/textFieldLayout.jsp" flush="false">
        <tiles:put name="property" value="explorerURLPrefix" />
        <tiles:put name="isReadOnly" value="<%=readOnly%>" />
        <tiles:put name="isRequired" value="false" />
        <tiles:put name="label" value="HumanTaskManager.settings.email.service.explorer.url.prefix" />
        <tiles:put name="size" value="75" />
        <tiles:put name="units" value=""/>
        <tiles:put name="desc" value="HumanTaskManager.settings.email.service.explorer.url.prefix.description"/>
        <tiles:put name="bean" value="<%=Constants.BEAN_KEY%>" />
        </tiles:insert>
    </tr>
</TABLE>

