--
-- Licensed Materials - Property of IBM
-- 5725-C94 (C) Copyright IBM Corporation 2006, 2011.
-- All Rights Reserved.
-- US Government Users Restricted Rights- 
-- Use, duplication or disclosure restricted 
-- by GSA ADP Schedule Contract with IBM Corp.
--
-- Scriptfile to drop tablespaces for DB2 z/OS
----------------------------------------------------------------------
-- Following variables needs to be changed for customization and 
-- before running this script:
--   @DB_NAME@ = DB2 Database name
----------------------------------------------------------------------
-- Run the script with the following sequence:
--      db2 connect to BPEDB
--      db2 -tf dropTablespace.sql


-- If the current database schema was migrated from a previous
-- version, some of the auxillary table spaces to be deleted
-- might not exist and therefore warning messages are displayed.
-- In addition, if auxillary table spaces from a a previous version
-- are still in your database, drop them manually.


------------------------------
-- Drop regular tablespaces --
------------------------------

DROP TABLESPACE @DB_NAME@.AUDIT01;
DROP TABLESPACE @DB_NAME@.AUDIT02;
DROP TABLESPACE @DB_NAME@.INST805;
DROP TABLESPACE @DB_NAME@.INST816;
DROP TABLESPACE @DB_NAME@.INST836;
DROP TABLESPACE @DB_NAME@.INSTA01;
DROP TABLESPACE @DB_NAME@.INSTA02;
DROP TABLESPACE @DB_NAME@.INSTA03;
DROP TABLESPACE @DB_NAME@.INSTA04;
DROP TABLESPACE @DB_NAME@.INSTA06;
DROP TABLESPACE @DB_NAME@.INSTA07;
DROP TABLESPACE @DB_NAME@.INSTA08;
DROP TABLESPACE @DB_NAME@.INSTA09;
DROP TABLESPACE @DB_NAME@.INSTA10;
DROP TABLESPACE @DB_NAME@.INSTA12;
DROP TABLESPACE @DB_NAME@.INSTA13;
DROP TABLESPACE @DB_NAME@.INSTA14;
DROP TABLESPACE @DB_NAME@.INSTA15;
DROP TABLESPACE @DB_NAME@.INSTA17;
DROP TABLESPACE @DB_NAME@.INSTA18;
DROP TABLESPACE @DB_NAME@.INSTA19;
DROP TABLESPACE @DB_NAME@.INSTA20;
DROP TABLESPACE @DB_NAME@.INSTA21;
DROP TABLESPACE @DB_NAME@.INSTA22;
DROP TABLESPACE @DB_NAME@.INSTA23;
DROP TABLESPACE @DB_NAME@.INSTA24;
DROP TABLESPACE @DB_NAME@.INSTA26;
DROP TABLESPACE @DB_NAME@.INSTA27;
DROP TABLESPACE @DB_NAME@.INSTA31;
DROP TABLESPACE @DB_NAME@.INSTA32;
DROP TABLESPACE @DB_NAME@.INSTA33;
DROP TABLESPACE @DB_NAME@.INSTA34;
DROP TABLESPACE @DB_NAME@.INSTA35;
DROP TABLESPACE @DB_NAME@.INSTA37;
DROP TABLESPACE @DB_NAME@.INSTA38;
DROP TABLESPACE @DB_NAME@.INSTA39;
DROP TABLESPACE @DB_NAME@.INSTA40;
DROP TABLESPACE @DB_NAME@.INSTA41;
DROP TABLESPACE @DB_NAME@.INSTA42;
DROP TABLESPACE @DB_NAME@.INSTA43;
DROP TABLESPACE @DB_NAME@.INSTA44;
DROP TABLESPACE @DB_NAME@.INSTA45;
DROP TABLESPACE @DB_NAME@.INSTA46;
DROP TABLESPACE @DB_NAME@.INSTA48;
DROP TABLESPACE @DB_NAME@.INSTA49;
DROP TABLESPACE @DB_NAME@.INSTA50;
DROP TABLESPACE @DB_NAME@.INSTA51;
DROP TABLESPACE @DB_NAME@.INSTA52;
DROP TABLESPACE @DB_NAME@.INSTA53;
DROP TABLESPACE @DB_NAME@.INSTA54;
DROP TABLESPACE @DB_NAME@.INSTA55;
DROP TABLESPACE @DB_NAME@.INSTA56;
DROP TABLESPACE @DB_NAME@.INSTA57;
DROP TABLESPACE @DB_NAME@.INSTA58;
DROP TABLESPACE @DB_NAME@.INSTA60;
DROP TABLESPACE @DB_NAME@.INSTA61;
DROP TABLESPACE @DB_NAME@.INSTA62;
DROP TABLESPACE @DB_NAME@.INSTA63;
DROP TABLESPACE @DB_NAME@.INSTA64;
DROP TABLESPACE @DB_NAME@.INSTA65;
DROP TABLESPACE @DB_NAME@.INSTA66;
DROP TABLESPACE @DB_NAME@.INSTA67;
DROP TABLESPACE @DB_NAME@.INSTA68;
DROP TABLESPACE @DB_NAME@.INSTA69;
DROP TABLESPACE @DB_NAME@.INSTA70;
DROP TABLESPACE @DB_NAME@.INSTA71;
DROP TABLESPACE @DB_NAME@.INSTA72;
DROP TABLESPACE @DB_NAME@.INSTA73;
DROP TABLESPACE @DB_NAME@.INSTA74;
DROP TABLESPACE @DB_NAME@.INSTA75;
DROP TABLESPACE @DB_NAME@.INSTA76;
DROP TABLESPACE @DB_NAME@.INSTA77;
DROP TABLESPACE @DB_NAME@.INSTA78;
DROP TABLESPACE @DB_NAME@.INSTA79;
DROP TABLESPACE @DB_NAME@.INSTA80;
DROP TABLESPACE @DB_NAME@.INSTA81;
DROP TABLESPACE @DB_NAME@.INSTA82;
DROP TABLESPACE @DB_NAME@.STAF801;
DROP TABLESPACE @DB_NAME@.STAFF02;
DROP TABLESPACE @DB_NAME@.TEMP802;
DROP TABLESPACE @DB_NAME@.TEMP808;
DROP TABLESPACE @DB_NAME@.TEMP836;
DROP TABLESPACE @DB_NAME@.TEMPL01;
DROP TABLESPACE @DB_NAME@.TEMPL03;
DROP TABLESPACE @DB_NAME@.TEMPL04;
DROP TABLESPACE @DB_NAME@.TEMPL05;
DROP TABLESPACE @DB_NAME@.TEMPL06;
DROP TABLESPACE @DB_NAME@.TEMPL07;
DROP TABLESPACE @DB_NAME@.TEMPL09;
DROP TABLESPACE @DB_NAME@.TEMPL10;
DROP TABLESPACE @DB_NAME@.TEMPL11;
DROP TABLESPACE @DB_NAME@.TEMPL12;
DROP TABLESPACE @DB_NAME@.TEMPL13;
DROP TABLESPACE @DB_NAME@.TEMPL14;
DROP TABLESPACE @DB_NAME@.TEMPL15;
DROP TABLESPACE @DB_NAME@.TEMPL16;
DROP TABLESPACE @DB_NAME@.TEMPL17;
DROP TABLESPACE @DB_NAME@.TEMPL18;
DROP TABLESPACE @DB_NAME@.TEMPL19;
DROP TABLESPACE @DB_NAME@.TEMPL20;
DROP TABLESPACE @DB_NAME@.TEMPL21;
DROP TABLESPACE @DB_NAME@.TEMPL22;
DROP TABLESPACE @DB_NAME@.TEMPL23;
DROP TABLESPACE @DB_NAME@.TEMPL24;
DROP TABLESPACE @DB_NAME@.TEMPL25;
DROP TABLESPACE @DB_NAME@.TEMPL26;
DROP TABLESPACE @DB_NAME@.TEMPL27;
DROP TABLESPACE @DB_NAME@.TEMPL28;
DROP TABLESPACE @DB_NAME@.TEMPL29;
DROP TABLESPACE @DB_NAME@.TEMPL30;
DROP TABLESPACE @DB_NAME@.TEMPL31;
DROP TABLESPACE @DB_NAME@.TEMPL32;
DROP TABLESPACE @DB_NAME@.TEMPL33;
DROP TABLESPACE @DB_NAME@.TEMPL34;
DROP TABLESPACE @DB_NAME@.TEMPL35;
DROP TABLESPACE @DB_NAME@.TEMPL37;
DROP TABLESPACE @DB_NAME@.TEMPL38;
DROP TABLESPACE @DB_NAME@.TEMPL39;
DROP TABLESPACE @DB_NAME@.TEMPL40;
DROP TABLESPACE @DB_NAME@.TEMPL41;
DROP TABLESPACE @DB_NAME@.TEMPL42;
DROP TABLESPACE @DB_NAME@.TEMPL43;
DROP TABLESPACE @DB_NAME@.TEMPL44;
DROP TABLESPACE @DB_NAME@.TEMPL45;
DROP TABLESPACE @DB_NAME@.TEMPL46;
DROP TABLESPACE @DB_NAME@.TEMPL47;
DROP TABLESPACE @DB_NAME@.TEMPL48;
DROP TABLESPACE @DB_NAME@.TEMPL49;
DROP TABLESPACE @DB_NAME@.TEMPL50;
DROP TABLESPACE @DB_NAME@.TEMPL51;
DROP TABLESPACE @DB_NAME@.TEMPL52;
DROP TABLESPACE @DB_NAME@.TEMPL53;
DROP TABLESPACE @DB_NAME@.TEMPL54;
DROP TABLESPACE @DB_NAME@.TEMPL55;
DROP TABLESPACE @DB_NAME@.TEMPL56;
DROP TABLESPACE @DB_NAME@.TEMPL57;
DROP TABLESPACE @DB_NAME@.TEMPL58;
DROP TABLESPACE @DB_NAME@.TEMPL59;
DROP TABLESPACE @DB_NAME@.TEMPL60;
DROP TABLESPACE @DB_NAME@.TEMPL61;
DROP TABLESPACE @DB_NAME@.TEMPL62;
DROP TABLESPACE @DB_NAME@.TEMPL64;
DROP TABLESPACE @DB_NAME@.WORKI01;
DROP TABLESPACE @DB_NAME@.WORKI03;
DROP TABLESPACE @DB_NAME@.WORKI04;
DROP TABLESPACE @DB_NAME@.WORKI05;
DROP TABLESPACE @DB_NAME@.WORKI06;
DROP TABLESPACE @DB_NAME@.WORKI07;

------------------------------------------------
-- Drop auxiliary tablespaces for LOB columns --
------------------------------------------------

DROP TABLESPACE @DB_NAME@.AS1f4a01;
DROP TABLESPACE @DB_NAME@.AS1f4a02;
DROP TABLESPACE @DB_NAME@.AS1f4a03;
DROP TABLESPACE @DB_NAME@.AS1f4a04;
DROP TABLESPACE @DB_NAME@.AS1f4a05;
DROP TABLESPACE @DB_NAME@.AS1f4a06;
DROP TABLESPACE @DB_NAME@.AS1f4a07;
DROP TABLESPACE @DB_NAME@.AS1f4a08;
DROP TABLESPACE @DB_NAME@.AS1f4a09;
DROP TABLESPACE @DB_NAME@.AS1f4a0A;
DROP TABLESPACE @DB_NAME@.AS1f4a0B;
DROP TABLESPACE @DB_NAME@.AS1f4a0C;
DROP TABLESPACE @DB_NAME@.AS1f4a0D;
DROP TABLESPACE @DB_NAME@.AS1f4a0E;
DROP TABLESPACE @DB_NAME@.AS1f4a0F;
DROP TABLESPACE @DB_NAME@.AS1f4a10;
DROP TABLESPACE @DB_NAME@.AS1f4a11;
DROP TABLESPACE @DB_NAME@.AS1f4a12;
DROP TABLESPACE @DB_NAME@.AS1f4a13;
DROP TABLESPACE @DB_NAME@.AS1f4a14;
DROP TABLESPACE @DB_NAME@.AS1f4a15;
DROP TABLESPACE @DB_NAME@.AS1f4a16;
DROP TABLESPACE @DB_NAME@.AS1f4a17;
DROP TABLESPACE @DB_NAME@.AS1f4a18;
DROP TABLESPACE @DB_NAME@.AS1f4a19;
DROP TABLESPACE @DB_NAME@.AS1f4a1A;
DROP TABLESPACE @DB_NAME@.AS1f4a1B;
DROP TABLESPACE @DB_NAME@.AS1f4a1C;
DROP TABLESPACE @DB_NAME@.AS1f4a1D;
DROP TABLESPACE @DB_NAME@.AS1f4a1E;
DROP TABLESPACE @DB_NAME@.AS1f4a1F;
DROP TABLESPACE @DB_NAME@.AS1f4a20;
DROP TABLESPACE @DB_NAME@.AS1f4a21;
DROP TABLESPACE @DB_NAME@.AS1f4a22;
DROP TABLESPACE @DB_NAME@.AS1f4a23;
DROP TABLESPACE @DB_NAME@.AS1f4a24;
DROP TABLESPACE @DB_NAME@.AS1f4a25;
DROP TABLESPACE @DB_NAME@.AS1f4a26;
DROP TABLESPACE @DB_NAME@.AS1f4a27;
DROP TABLESPACE @DB_NAME@.AS1f4a28;
DROP TABLESPACE @DB_NAME@.AS1f4a29;
DROP TABLESPACE @DB_NAME@.AS1f4a2A;
DROP TABLESPACE @DB_NAME@.AS1f4a2B;
DROP TABLESPACE @DB_NAME@.AS1f4a2C;
DROP TABLESPACE @DB_NAME@.AS1f4a2D;
DROP TABLESPACE @DB_NAME@.AS1f4a2E;
DROP TABLESPACE @DB_NAME@.AS1f4a2F;
DROP TABLESPACE @DB_NAME@.AS1f4a30;
DROP TABLESPACE @DB_NAME@.AS1f4a31;
DROP TABLESPACE @DB_NAME@.AS1f4a32;
DROP TABLESPACE @DB_NAME@.AS1f4a33;
DROP TABLESPACE @DB_NAME@.AS1f4a34;
DROP TABLESPACE @DB_NAME@.AS1f4a35;
DROP TABLESPACE @DB_NAME@.AS1f4a36;
DROP TABLESPACE @DB_NAME@.AS1f4a37;
DROP TABLESPACE @DB_NAME@.AS1f4a38;
DROP TABLESPACE @DB_NAME@.AS1f4a39;
DROP TABLESPACE @DB_NAME@.AS1f4a3A;
DROP TABLESPACE @DB_NAME@.AS1f4a3B;
DROP TABLESPACE @DB_NAME@.AS1f4a3C;
DROP TABLESPACE @DB_NAME@.AS1f4a3D;
DROP TABLESPACE @DB_NAME@.AS1f4a3E;
DROP TABLESPACE @DB_NAME@.AS1f4a3F;
DROP TABLESPACE @DB_NAME@.AS1f4a40;
DROP TABLESPACE @DB_NAME@.AS1f4a41;
DROP TABLESPACE @DB_NAME@.AS1f4a42;
DROP TABLESPACE @DB_NAME@.AS1f4a43;
DROP TABLESPACE @DB_NAME@.AS1f4a44;
DROP TABLESPACE @DB_NAME@.AS1f4a45;
DROP TABLESPACE @DB_NAME@.AS1f4a46;
DROP TABLESPACE @DB_NAME@.AS1f4a47;
DROP TABLESPACE @DB_NAME@.AS1f4a48;
DROP TABLESPACE @DB_NAME@.AS1f4a49;
DROP TABLESPACE @DB_NAME@.AS1f4a4A;
DROP TABLESPACE @DB_NAME@.AS1f4a4B;
DROP TABLESPACE @DB_NAME@.AS1f4a4C;
DROP TABLESPACE @DB_NAME@.AS1f4a4D;
DROP TABLESPACE @DB_NAME@.AS1f4a4E;
DROP TABLESPACE @DB_NAME@.AS1f4a4F;
DROP TABLESPACE @DB_NAME@.AS1f4a50;
DROP TABLESPACE @DB_NAME@.AS1f4a51;
DROP TABLESPACE @DB_NAME@.AS1f4a52;
DROP TABLESPACE @DB_NAME@.AS1f4a53;
DROP TABLESPACE @DB_NAME@.AS1f4a54;
DROP TABLESPACE @DB_NAME@.AS1f4a55;
DROP TABLESPACE @DB_NAME@.AS1f4a56;
DROP TABLESPACE @DB_NAME@.AS1f4a57;
DROP TABLESPACE @DB_NAME@.AS1f4a58;
DROP TABLESPACE @DB_NAME@.AS1f4a59;
DROP TABLESPACE @DB_NAME@.AS1f4a5A;
DROP TABLESPACE @DB_NAME@.AS1f4a5B;
DROP TABLESPACE @DB_NAME@.AS1f4a5C;
DROP TABLESPACE @DB_NAME@.AS1f4a5D;
DROP TABLESPACE @DB_NAME@.AS1f4a5E;
DROP TABLESPACE @DB_NAME@.AS1f4a5F;
DROP TABLESPACE @DB_NAME@.AS1f4a60;
DROP TABLESPACE @DB_NAME@.AS1f4a61;
DROP TABLESPACE @DB_NAME@.AS1f4a62;
DROP TABLESPACE @DB_NAME@.AS1f4a63;
DROP TABLESPACE @DB_NAME@.AS1f4a64;
DROP TABLESPACE @DB_NAME@.AS1f4a65;
DROP TABLESPACE @DB_NAME@.AS1f4a66;
DROP TABLESPACE @DB_NAME@.AS1f4a67;
DROP TABLESPACE @DB_NAME@.AS1f4a68;
DROP TABLESPACE @DB_NAME@.AS1f4a69;
DROP TABLESPACE @DB_NAME@.AS1f4a6A;
DROP TABLESPACE @DB_NAME@.AS1f4a6B;
DROP TABLESPACE @DB_NAME@.AS1f4a6C;
DROP TABLESPACE @DB_NAME@.AS1f4a6D;
DROP TABLESPACE @DB_NAME@.AS1f4a6E;
DROP TABLESPACE @DB_NAME@.AS1f4a6F;
DROP TABLESPACE @DB_NAME@.AS1f4a70;
DROP TABLESPACE @DB_NAME@.AS1f4a71;
DROP TABLESPACE @DB_NAME@.AS1f4a72;
DROP TABLESPACE @DB_NAME@.AS1f4a73;
DROP TABLESPACE @DB_NAME@.AS1f4a74;
DROP TABLESPACE @DB_NAME@.AS1f4a75;
DROP TABLESPACE @DB_NAME@.AS1f4a76;
DROP TABLESPACE @DB_NAME@.AS1f4a77;
DROP TABLESPACE @DB_NAME@.AS1f4a78;
DROP TABLESPACE @DB_NAME@.AS1f4a79;
DROP TABLESPACE @DB_NAME@.AS1f4a7A;
DROP TABLESPACE @DB_NAME@.AS1f4a7B;
DROP TABLESPACE @DB_NAME@.AS1f4a7C;
DROP TABLESPACE @DB_NAME@.AS1f4a7D;
DROP TABLESPACE @DB_NAME@.AS1f4a7E;
DROP TABLESPACE @DB_NAME@.AS1f4a7F;
DROP TABLESPACE @DB_NAME@.AS1f4a80;
DROP TABLESPACE @DB_NAME@.AS1f4a81;
DROP TABLESPACE @DB_NAME@.AS1f4a82;
DROP TABLESPACE @DB_NAME@.AS1f4a83;
DROP TABLESPACE @DB_NAME@.AS1f4a84;
DROP TABLESPACE @DB_NAME@.AS1f4a85;
DROP TABLESPACE @DB_NAME@.AS1f4a86;
DROP TABLESPACE @DB_NAME@.AS1f4a87;
DROP TABLESPACE @DB_NAME@.AS1f4a88;
DROP TABLESPACE @DB_NAME@.AS1f4a89;
DROP TABLESPACE @DB_NAME@.AS1f4a8A;
DROP TABLESPACE @DB_NAME@.AS1f4a8B;
DROP TABLESPACE @DB_NAME@.AS1f4a8C;
DROP TABLESPACE @DB_NAME@.AS1f4a8D;
DROP TABLESPACE @DB_NAME@.AS1f4a8E;


-- start import scheduler DDL: dropTablespaceDB2ZOS.ddl

DROP TABLESPACE @DB_NAME@.SCHEDTS;
DROP TABLESPACE @DB_NAME@.SCHEDTS1;
-- end import scheduler DDL: dropTablespaceDB2ZOS.ddl

